<template>
  <div class="item-list">
    <div class="content-left">
      <div class="image-container">
        <nuxt-link
          class="ava"
          :to="'/' + product.shared_url + '?option=' + product.cur_sku"
        >
          <img
            v-if="product.thumbnail != null"
            :src="resizeImage(baseImageUrl + product.thumbnail, 208, 208)"
            alt="product image"
          />
          <img
            v-else
            src="/images/placeholder/placeholder.svg"
            alt="product image"
          />
        </nuxt-link>
        <div v-if="product.status" class="product-label">
          <span class="label label-new">Mới về</span>
          <span class="label label-comming">Đang về</span>
          <span class="label label-sale">-25%</span>
        </div>
      </div>
    </div>
    <div class="content-center d-flex flex-column">
      <div v-if="product.status" class="time-action">Còn 5 ngày</div>
      <div class="name">
        <nuxt-link
          :to="'/' + product.shared_url + '?option=' + product.cur_sku"
        >
          {{ product.name }}
        </nuxt-link>
      </div>
      <div v-if="product.sku" class="code">SKU: {{ product.sku }}</div>
      <div class="number-options">
        <strong>{{ product.number_options }}</strong>
        cấu hình tùy chọn
      </div>

      <div class="content-more">
        <div v-if="product.outstandings" class="desc-global">
          <span v-for="(out, index) in product.outstandings" :key="out">
            {{ out }}{{ product.outstandings.length - 1 > index ? ', ' : '' }}
          </span>
        </div>
      </div>

      <div v-if="product.options.length > 1" class="changer_color mt-auto">
        <ul>
          <li
            v-for="(option, index) in product.options"
            :key="index"
            :class="index === 0 ? 'active' : ''"
          >
            <a href="javascript:;">
              <img
                v-if="option.thumbnail != '/'"
                :src="resizeImage(baseImageUrl + option.thumbnail, 32, 32)"
                alt="color"
              />
              <img
                v-else
                src="/images/placeholder/placeholder-small.svg"
                alt="color"
              />
            </a>
          </li>
        </ul>
      </div>
    </div>
    <div class="content-right">
      <div class="product-price">
        <div class="price">
          <span v-if="product.from_price !== null">Giá từ:</span>
          <strong>
            {{ (product.sale_from_price || product.from_price) | formatNumber }}
          </strong>
        </div>
        <div v-if="product.sale_from_price" class="price_old">
          {{ product.from_price | formatNumber }}
        </div>
      </div>
      <div class="more_btn">
        <!-- <a class="btn-default color-white add-cart" href="javascript:;">
          Thêm vào giỏ hàng
        </a> -->
        <!-- <a class="btn-default white add-compare" href="javascript:;">Thêm vào so sánh</a> -->
      </div>
    </div>
  </div>
</template>

<script>
import Helper from '../../assets/config'

export default {
  name: 'ProductItemList',
  // eslint-disable-next-line vue/require-prop-types
  props: ['product'],
  data() {
    return {}
  },
  computed: {
    baseImageUrl() {
      return Helper.baseImageUrl
    },
  },
  methods: {
    resizeImage(url, width, height) {
      return Helper.resizeImage(url, width, height)
    },
  },
}
</script>
